{
  description = "Neovim configuration";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
  };

  outputs = { self, nixpkgs }:
    let
      withPkgs = system: import nixpkgs {
        inherit system;
      };
    in
    {
      packages.x86_64-linux.neovim = (withPkgs "x86_64-linux").callPackage ./neovim.nix {};
      packages.x86_64-linux.neovim-with-playground = (withPkgs "x86_64-linux").callPackage ./neovim.nix { withPlayground = true; };
      packages.x86_64-linux.default = self.packages.x86_64-linux.neovim;
    };
}
